{#
/**
 * @file
 * Theme override to display a node.
 *
 * Available variables:
 * - node: The node entity with limited access to object properties and methods.
     Only "getter" methods (method names starting with "get", "has", or "is")
     and a few common methods such as "id" and "label" are available. Calling
     other methods (such as node.delete) will result in an exception.
 * - label: The title of the node.
 * - content: All node items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - author_picture: The node author user entity, rendered using the "compact"
 *   view mode.
 * - metadata: Metadata for this node.
 * - date: 24 Agustus 2020
 * - author_name: Aditya Dewantara
 * - url: /artikel/%
 * - display_submitted: Whether submission information should be displayed.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - node: The current template type (also known as a "theming hook").
 *   - node--type-[type]: The current node type. For example, if the node is an
 *     "Article" it would result in "node--type-article". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - node--view-mode-[view_mode]: The View Mode of the node; for example, a
 *     teaser would result in: "node--view-mode-teaser", and
 *     full: "node--view-mode-full".
 *   The following are controlled through the node publishing options.
 *   - node--promoted: Appears on nodes promoted to the front page.
 *   - node--sticky: Appears on nodes ordered above other non-sticky nodes in
 *     teaser listings.
 *   - node--unpublished: Appears on unpublished nodes visible only to site
 *     admins.
 * - title_attributes: Same as attributes, except applied to the main title
 *   tag that appears in the template.
 * - content_attributes: Same as attributes, except applied to the main
 *   content tag that appears in the template.
 * - author_attributes: Same as attributes, except applied to the author of
 *   the node tag that appears in the template.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the main title tag that appears in the template.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the main title tag that appears in the template.
 * - view_mode: View mode; for example, "teaser" or "full".
 * - teaser: Flag for the teaser state. Will be true if view_mode is 'teaser'.
 * - page: Flag for the full page state. Will be true if view_mode is 'full'.
 * - readmore: Flag for more state. Will be true if the teaser content of the
 *   node cannot hold the main body content.
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * @see template_preprocess_node()
 */
#}
{% set title = artikel.title %}
{% set image_author = 'themes/growhappytheme/assets/images/no-photo.png' %}
{% set fb = 'themes/growhappytheme/assets/images/icon-fb.svg' %}
{% set ig = 'themes/growhappytheme/assets/images/icon-ig.svg' %}
{% set wa = 'themes/growhappytheme/assets/images/icon-wa.svg' %}
<div class="bg-article detail">
    <div class="container">
        <div class="p-lg-5">
            <nav aria-label="breadcrumb">
                <ol class="breadcrumb pt-5 pt-lg-0">
                    <li class="breadcrumb-item"><a class="text-white text-decoration-none font-bold" href="{{url('<front>')}}">Beranda</a></li>
                    {% if artikel.tag != 'Article' %}
                    <li class="breadcrumb-item"><a class="text-white text-decoration-none font-bold" href="{{url('<front>')}}happyupdates">Happy Updates</a></li>
                    {% else %}
                    <li class="breadcrumb-item"><a class="text-white text-decoration-none font-bold" href="{{url('<front>')}}happyarticle">Happy Artikel</a></li>
                    {% endif %}
                    <li class="breadcrumb-item active text-decoration-none font-bold" aria-current="page">{{artikel.tag}} Detail</li>
                </ol>
            </nav>
            <h1 class="text-white display-4">{{title}}</h1>

            {% if (artikel.tagskesatu != null) %}
                {% if artikel.tagskesatu == 'Happy Tummy' %}
                <a href="{{ url('<front>') }}happyarticle/happytummy" class="badge badge-pill badge-blue text-decoration-none text-uppercase py-2 px-3 mr-4">Happy Tummy</a></span>
                {% elseif artikel.tagskesatu == 'Happy Parenting' %}
                <a href="{{ url('<front>') }}happyarticle/happyparenting" class="badge badge-pill badge-blue text-decoration-none text-uppercase py-2 px-3 mr-4">Happy Parenting</a>
                {% endif %}
            {% else %}
                
            {% endif %}

            {% if (artikel.tagskedua != null) %}
                {% if artikel.tagskedua == '1-3 Tahun' %}
                    <span class="tag yellow">{{ artikel.tagskedua }}</span>
                {% elseif artikel.tagskedua == 'Prasekolah' %}
                    <span class="tag orange">Prasekolah</span>
                {% endif %}
            {% else %}
                <span class="tag yellow">Artikel</span>
            {% endif %}

            {% if (artikel.tagsketiga != null) %}
                {% if artikel.tagsketiga == '1-3 Tahun' %}
                    <span class="tag yellow">{{ artikel.tagsketiga }}</span>
                {% elseif artikel.tagsketiga == 'Prasekolah' %}
                    <span class="tag orange">Prasekolah</span>
                {% endif %}
            {% else %}

            {% endif %}
            
            <!-- {% if artikel.tag == 'Article' %}
            <p><a href="{{ url('<front>') }}happyupdates" class="badge badge-pill badge-blue text-decoration-none text-uppercase py-2 px-3 mr-4">Happy Tummy</a> <a class="tag" href="#">Prasekolah</a></p>
            {% endif %} -->
        </div>
        <img class="rounded-lg w-100 shadow-lg" src="{{artikel.image}}" alt="{{title}}">
    </div>
</div>
<div class="container px-lg-5 bg-footer-global">
    <div class="row">
        <div class="col">
            {% if artikel.tag == 'Article' %}
            <p class="text-primary"><img height="25" class="rounded-circle mr-2" src="{{ url('<front>') }}{{image_author}}" alt="Author Image">Diperiksa oleh: <strong>Dr. Irwan Setiawan</strong> &bull; {{ artikel.date }}</p>
            <!-- <p class="text-primary"><img height="25" class="rounded-circle mr-2" src="{{ url('<front>') }}{{image_author}}" alt="Author Image">Diperiksa oleh: <strong>Dr. Irwan Setiawan</strong> &bull; {{ "now"|date("d M Y") }}</p> -->
            <br>
            {% endif %}
            <a href="javascript:;"><img width="30" src="{{ url('<front>') }}{{fb}}" alt="Facebook"></a>
            <a href="javascript:;"><img width="30" src="{{ url('<front>') }}{{ig}}" alt="Instagram"></a>
            <a href="javascript:;"><img width="30" src="{{ url('<front>') }}{{wa}}" alt="WhatsApp"></a>
            <br>
            <br>
            <br>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-8">
            {{artikel.body | raw }}

        </div>
        <div class="col">
            <h2 class="display-4 mx-lg-3 mt-4 mt-lg-0 mb-lg-0 text-primary">
                {% if artikel.tag == 'Event' %}
                Event Terkait
                {% elseif artikel.tag == 'Promo' %}
                Promo Terkait
                {% else %}
                Artikel Terkait
                {% endif %}
            </h2>
            {% include directory ~ '/templates/includes/_articles-card.html.twig' %}
        </div>
    </div>
</div>